/**
 * Project: MentDB
 * Description: Mentalese Database Engine
 * Website: http://www.mentdb.org
 * Twitter: https://twitter.com/mentalese_db
 * LinkedIn: https://www.linkedin.com/company/mentdb
 * Facebook: https://www.facebook.com/mentdb
 * Author: Jimmitry Payet
 * Website: http://www.jpayet.re
 * Mail: contact@jpayet.re
 * Locality: Reunion Island (French)
 */

package re.jpayet.mentdb.core.basic;

//The basic position object (used for data file and index file)
public class BasicPosition {
	
	//Properties
	public int fileId = -1;
	public long position = -1;
	
	//Constructor
	public BasicPosition(int fileId, long position) {
		
		//Initialization
		this.fileId = fileId;
		this.position = position;
		
	}
	
	//Constructor
	public BasicPosition() {
		
	}

}